com.sun.management

## Interface UnixOperatingSystemMXBean

- All Superinterfaces:
    OperatingSystemMXBean

      public interface UnixOperatingSystemMXBean
      extends OperatingSystemMXBean

  Platform-specific management interface for the Unix operating system on which the Java virtual machine is running.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxFileDescriptorCount()` Returns the maximum number of file descriptors.
    `long` | `getOpenFileDescriptorCount()` Returns the number of open file descriptors.

    - ### Methods inherited from interface com.sun.management.OperatingSystemMXBean

      `getCommittedVirtualMemorySize, getFreePhysicalMemorySize, getFreeSwapSpaceSize, getProcessCpuTime, getTotalPhysicalMemorySize, getTotalSwapSpaceSize`

    - ### Methods inherited from interface java.lang.management.OperatingSystemMXBean

      `getArch, getAvailableProcessors, getName, getSystemLoadAverage, getVersion`

- - ### Method Detail

    - #### getOpenFileDescriptorCount

          long getOpenFileDescriptorCount()

      Returns the number of open file descriptors.
      Returns:
        the number of open file descriptors.

    - #### getMaxFileDescriptorCount

          long getMaxFileDescriptorCount()

      Returns the maximum number of file descriptors.
      Returns:
        the maximum number of file descriptors.

Copyright © 2003, 2014, Oracle and/or its affiliates. All rights reserved.